CREATE TABLE "config" ("currency" VARCHAR NOT NULL  DEFAULT ('') );
CREATE TABLE "generaltags" ("tagid" INTEGER NOT NULL  DEFAULT 0, "vehicleid" INTEGER NOT NULL  DEFAULT 0);
CREATE TABLE "reminder" ("tagid" INTEGER NOT NULL  DEFAULT (0) ,"date" DATETIME NOT NULL  DEFAULT ('') ,"vehicleid" INTEGER NOT NULL  DEFAULT (0) );
CREATE TABLE "tagmaster" ("catid" INTEGER PRIMARY KEY  AUTOINCREMENT  NOT NULL  UNIQUE  DEFAULT 0, "name" VARCHAR NOT NULL  UNIQUE  DEFAULT '');
CREATE TABLE "tags" ("tagid" INTEGER PRIMARY KEY  NOT NULL  DEFAULT (0) ,"catid" INTEGER NOT NULL  DEFAULT (0) , "tagname" VARCHAR NOT NULL  DEFAULT '');
CREATE TABLE "txn" ("txnid" INTEGER PRIMARY KEY  NOT NULL  DEFAULT (0) ,"date" DATETIME NOT NULL  DEFAULT ('') ,"vehicleid" INTEGER NOT NULL  DEFAULT (0) ,"qty" DOUBLE NOT NULL  DEFAULT (0.0) ,"amount" DOUBLE NOT NULL  DEFAULT (0.0) ,"reading" INTEGER NOT NULL  DEFAULT (0) , "remarks" VARCHAR NOT NULL  DEFAULT '');
CREATE TABLE "txntags" ("txnid" INTEGER NOT NULL  DEFAULT (0) ,"tagid" INTEGER NOT NULL  DEFAULT (0) );
CREATE TABLE "vehicles" ("id" INTEGER PRIMARY KEY  NOT NULL  DEFAULT (0) ,"regno" VARCHAR NOT NULL  DEFAULT ('') );
CREATE UNIQUE INDEX "generaltagindex" ON "generaltags" ("tagid" ASC, "vehicleid" ASC);
CREATE UNIQUE INDEX "regnoindex" ON "vehicles" ("regno" ASC);
CREATE UNIQUE INDEX "reminderindex" ON "reminder" ("tagid" ASC, "vehicleid" ASC);
CREATE UNIQUE INDEX "tagindex" ON "tags" ("catid" ASC, "tagname" ASC);
CREATE UNIQUE INDEX "txntagindex" ON "txntags" ("txnid" ASC, "tagid" ASC);
INSERT INTO "config" ( "currency" ) VALUES ( '$' );
