#include <hmg.ch>

function createnewvehicledatabase
   local aQStr := {}, aTable := {}, i := 0, lOk := .f., cErr := ''
   oDB := connect2db( cDB, .t. )
   if oDB == nil
      return nil
   endif
   // create tables
   aadd( aQStr, 'CREATE TABLE "config" ("currency" VARCHAR NOT NULL  DEFAULT (' + c2sql( '' ) + ') )' )
   aadd( aQStr, 'CREATE TABLE "generaltags" ("tagid" INTEGER NOT NULL  DEFAULT 0, "vehicleid" INTEGER NOT NULL  DEFAULT 0)' )
   aadd( aQStr, 'CREATE TABLE "reminder" ("tagid" INTEGER NOT NULL  DEFAULT (0), "date" DATETIME NOT NULL  DEFAULT (' + c2sql( '' ) + ') ,"vehicleid" INTEGER NOT NULL  DEFAULT (0) )' )
   aadd( aQStr, 'CREATE TABLE "tagmaster" ("catid" INTEGER PRIMARY KEY  AUTOINCREMENT  NOT NULL  UNIQUE  DEFAULT 0, "name" VARCHAR NOT NULL  UNIQUE  DEFAULT ' + c2sql( '' ) + ')' )
   aadd( aQStr, 'CREATE TABLE "tags" ("tagid" INTEGER PRIMARY KEY  NOT NULL  DEFAULT (0) ,"catid" INTEGER NOT NULL  DEFAULT (0) , "tagname" VARCHAR NOT NULL  DEFAULT ' + c2sql( '' ) + ')' )   
   aadd( aQStr, 'CREATE TABLE "txn" ("txnid" INTEGER PRIMARY KEY  NOT NULL  DEFAULT (0) ,"date" DATETIME NOT NULL  DEFAULT (' + c2sql( '' ) + ') ,"vehicleid" INTEGER NOT NULL  DEFAULT (0) ,"qty" DOUBLE NOT NULL  DEFAULT (0.0) ,"amount" DOUBLE NOT NULL  DEFAULT (0.0) ,"reading" INTEGER NOT NULL  DEFAULT (0) , "remarks" VARCHAR NOT NULL  DEFAULT '+ c2sql( '' ) + ')' )
   aadd( aQStr, 'CREATE TABLE "txntags" ("txnid" INTEGER NOT NULL  DEFAULT (0) ,"tagid" INTEGER NOT NULL  DEFAULT (0) )' ) 
   aadd( aQStr, 'CREATE TABLE "vehicles" ("id" INTEGER PRIMARY KEY  NOT NULL  DEFAULT (0) ,"regno" VARCHAR NOT NULL  DEFAULT (' + c2sql( '' ) + ') )' )
   aadd( aQStr, 'CREATE UNIQUE INDEX "generaltagindex" ON "generaltags" ("tagid" ASC, "vehicleid" ASC)' )    
   aadd( aQStr, 'CREATE UNIQUE INDEX "regnoindex" ON "vehicles" ("regno" ASC)' )
   aadd( aQStr, 'CREATE UNIQUE INDEX "reminderindex" ON "reminder" ("tagid" ASC, "vehicleid" ASC)' )
   aadd( aQStr, 'CREATE UNIQUE INDEX "tagindex" ON "tags" ("catid" ASC, "tagname" ASC)' )
   aadd( aQStr, 'CREATE UNIQUE INDEX "txntagindex" ON "txntags" ("txnid" ASC, "tagid" ASC)' )
   
   aadd( aQStr, 'INSERT INTO config ( currency ) values ( ' + c2sql( '$' ) + ' )' )
   
   for i := 1 to hmg_len( aQStr )
      lOk := miscsql( oDB, aQStr[ i ], @cErr )
      if hmg_len( cErr ) > 0
         msgstop( 'Table Creation Error!' + cErr )
         return nil
      else
         if .not. lOk
            msgstop( 'Table Creation Error!' )
            return nil
         endif
      endif
   next i
return nil
